## expat 2.6.1-2ubuntu0.3trisquel2

=== debian/changelog ===
expat (2.6.1-2ubuntu0.3trisquel2) ecne-security; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 08 Apr 2025 12:46:25 +0000
