## expat 2.6.2

=== debian/changelog ===
expat (2.6.2-2ubuntu0.2) oracular-security; urgency=medium

  * SECURITY UPDATE: denial of service via stack overflow
    - debian/patches/CVE-2024-8176-pre.patch: Remove XML_DTD guards
      before is_param accesses
    - debian/patches/CVE-2024-8176-test-pre.patch: tests - Stop
      counting_start_element_handler from using g_parser
    - debian/patches/CVE-2024-8176-1.patch: Resolve the recursion during 
      entity processing to prevent stack overflow
    - debian/patches/CVE-2024-8176-2.patch: Stop updating event pointer 
      on exit for reentry
    - CVE-2024-8176

 -- Vyom Yadav <vyom.yadav@canonical.com>  Fri, 28 Mar 2025 12:26:47 +0530

expat (2.6.2-2ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: denial-of-service via XML_ResumeParser
    - debian/patches/CVE-2024-50602-1.patch: Make function XML_StopParser of
      expat/lib/xmlparse.c refuse to stop/suspend an unstarted parser
    - debian/patches/CVE-2024-50602-2.patch: Add XML_PARSING case to parser
      state in function XML_StopParser of expat/lib/xmlparse.c
    - debian/patches/CVE-2024-50602-3.patch: Add tests for CVE-2024-50602 to
      expat/tests/misc_tests.c
    - CVE-2024-50602

 -- Nicolas Campuzano Jimenez <nicolas.campuzano@canonical.com>  Thu, 28 Nov 2024 12:41:50 -0500

expat (2.6.2-2) unstable; urgency=high

  * Backport security fix for CVE-2024-45490: reject negative len for
    XML_ParseBuffer() (closes: #1080149).
  * Backport security fix for CVE-2024-45491: detect integer overflow in
    dtdCopy() (closes: #1080150).
  * Backport security fix for CVE-2024-45492: detect integer overflow in
    function nextScaffoldPart() (closes: #1080152).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 31 Aug 2024 11:48:45 +0200

expat (2.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 13 Mar 2024 21:40:29 +0100
