## expat 2.6.3

=== debian/changelog ===
expat (2.6.3-2) unstable; urgency=high

  * Backport upstream fix for CVE-2024-50602: stop XML_ResumeParser() from
    crashing (closes: #1086134).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 27 Oct 2024 17:58:30 +0100

expat (2.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 04 Sep 2024 20:33:01 +0200
