## expat 2.6.4

=== debian/changelog ===
expat (2.6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 08 Nov 2024 17:45:00 +0100
