=== debian/watch ===
version=4
opts=uversionmangle=s/^(SNAPSHOT|RELEASE)\.//;s/(\d+)[_-](\d+)[_-](\d+)/\$1.\$2.\$3/;s/(\d+)[_-](\d+)/\$1.\$2/;s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/;s/(\d)[_\.\-\+]?RC[\-\.]?(\d*)$/$1~rc$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
http://sf.net/expat/expat-[vV]?(\d\S*)@ARCHIVE_EXT@

opts=uversionmangle=s/_/\./g \
https://github.com/libexpat/libexpat/tags \
(?:|.*/)R_(\d[\d_]*)@ARCHIVE_EXT@
