## expat 2.7.0

=== debian/changelog ===
expat (2.7.0-1ubuntu1) plucky; urgency=medium

  * Backport 989, part of ongoing 2.7.1 release, to unblock
    the regression testsuite fixes due to fix for CVE-2024-8176
    (Closes: #1100845)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Mar 2025 07:55:51 +0100

expat (2.7.0-1) unstable; urgency=high

  * New upstream release:
    - fixes CVE-2024-8176: long linear chains of entities crash with stack
      overflow.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 14 Mar 2025 20:12:24 +0100
