## expat 2.7.1

=== debian/changelog ===
expat (2.7.1-2) unstable; urgency=medium

  * Move libc6 dependency to pre-dependency on libexpat1 to prevent
    dist-upgrade errors with python packages (closes: #1108934).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 14 Jul 2025 08:05:27 +0000

expat (2.7.1-1) unstable; urgency=medium

  * New upstream release:
    - fixes libxml-parser-perl regression (closes: #1100845).
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 27 Mar 2025 19:56:41 +0100
