## expat 2.7.2

=== debian/changelog ===
expat (2.7.2-1) unstable; urgency=high

  * New upstream release:
    - fixes CVE-2025-59375: disallow use of disproportional amounts of
      dynamic memory from within an Expat parser (closes: #1115298).
  * Update fix-expat-cmake patch.
  * Update libexpat1 symbols.
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 16 Sep 2025 19:59:38 +0200
