=== debian/changelog ===
expat (2.7.3-1) unstable; urgency=high

  * New upstream release:
    - fix alignment of internal allocations for some non-amd64
      architectures, fixes up on the fix to CVE-2025-59375,
    - fix a class of false positives where input should have been rejected
      with error XML_ERROR_ASYNC_ENTITY; regression from CVE-2024-8176.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 24 Sep 2025 23:31:38 +0200
