=== debian/watch ===
--- 
+++ 
@@ -5,4 +5,4 @@
 
 opts=uversionmangle=s/_/\./g \
 https://github.com/libexpat/libexpat/tags \
-(?:|.*/)R_(\d[\d_]*)@ARCHIVE_EXT@
+(?:|.*/)R_(\d[\d_]*)
