=== debian/rules ===
--- 
+++ 
@@ -123,7 +123,6 @@
 ifneq (,$(filter stage1, $(DEB_BUILD_PROFILES)))
 	chmod 644 $(CURDIR)/debian/libexpat1-dev/usr/share/doc/libexpat1-dev/examples/*
 endif
-	chmod 644 $(CURDIR)/debian/libexpat1-dev/usr/share/aclocal/*
 	dh_makeshlibs -a -V $(if $(with_udeb),--add-udeb=$(UPACKAGE))
 	dh_installdeb -a
 	dh_shlibdeps -a -l $(CURDIR)/debian/libexpat1/usr/lib/$(DEB_HOST_MULTIARCH)
