=== debian/watch ===
Version: 5

Source: http://sf.net/expat/
Matching-Pattern: expat-[vV]?(\d\S*)@ARCHIVE_EXT@
